version: "3.3"

services:
  compose-healthy:
    image: httpd
    healthcheck:
      test: curl localhost
      retries: 10
      timeout: 5s
      interval: 5s
  compose-unhealthy:
    image: httpd
    healthcheck:
      test: curl localhost:8080
      retries: 10
      timeout: 5s
      interval: 5s
  build-healthy:
    build: build_healthy
  build-unhealthy:
    build: build_unhealthy
